# $Revision: 1.39 $, $Date: 2006/03/02 23:01:11 $
Summary:	IPX RIP/SAP daemon - routing for IPX networks
Summary(pl):	Demon IPX RIP/SAP - routing dla sieci IPX
Summary(pt_BR):	O ipxripd  uma implementao dos protocolos RIP e SAP da Novell
Name:		ipxripd
Version:	0.7
Release:	9
License:	GPL
Group:		Networking/Daemons
Source0:	ftp://ftp.gwdg.de/pub/linux/misc/ncpfs/%{name}-%{version}.tar.gz
# Source0-md5:	5e1ae45421d45eca67a435c6e5467ea1
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.logrotate
Patch0:		%{name}-glibc2.1.patch
Patch1:		%{name}-gcc33.patch
Patch2:		%{name}-kernel26.patch
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts >= 0.2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ipxripd is an implementation of Novell's RIP and SAP protocols. It
automagically builds and updates IPX routing table in the Linux
kernel. Useful when trying to get a Linux box to act as an IPX router.

%description -l pl
ipxripd jest implementacj protokow RIP i SAP Novella. Automagicznie
buduje i uaktualnia tablice routingu IPX w kernelu Linuksa. Uyteczny
kiedy chcemy by Linux dziaa jako router IPX.

%description -l pt_BR
O ipxripd  uma implementao dos protocolos RIP e SAP da Novell. Ele
gerencia de forma automtica tabelas de roteamento IPX no kernel
Linux. til quando se deseja utilizar uma mquina Linux como roteador
IPX.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__make} \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man{5,8},/var/log} \
	$RPM_BUILD_ROOT/etc/{sysconfig,logrotate.d,rc.d/init.d}

install ipxd $RPM_BUILD_ROOT%{_sbindir}
install ipxd.8 $RPM_BUILD_ROOT%{_mandir}/man8
install ipx_ticks.5 $RPM_BUILD_ROOT%{_mandir}/man5

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/ipxripd
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/ipxripd
install %{SOURCE3} $RPM_BUILD_ROOT/etc/logrotate.d/ipxripd

:> $RPM_BUILD_ROOT/var/log/ipxripd

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add ipxripd
if [ ! -f /var/log/ipxd ]; then
	umask 002
	touch /var/log/ipxd
fi
%service ipxripd restart "IPX routing daemon"

%preun
if [ "$1" = "0" ]; then
	%service ipxripd stop
	/sbin/chkconfig --del ipxripd
fi

%files
%defattr(644,root,root,755)
%doc README ipx_ticks

%attr(754,root,root) /etc/rc.d/init.d/ipxripd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/ipxripd

%attr(755,root,root) %{_sbindir}/ipxd

%{_mandir}/man[58]/*

%attr(640,root,root) %ghost /var/log/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ipxripd.spec,v $
Revision 1.39  2006/03/02 23:01:11  glen
- use %service and adapterize

Revision 1.38  2005/12/12 16:24:19  glen
- adapterized (sorted %verify attrs)

Revision 1.37  2005/07/07 14:39:26  pascalek
- Release 9; better kernel26 patch

Revision 1.36  2005/07/06 23:49:48  pascalek
- with_kernel24 bcond

Revision 1.35  2005/07/06 21:55:23  pascalek
- Release 8; kernel 2.6 patch

Revision 1.34  2004/09/26 21:51:32  kolodko
- added macros in /etc/logrotate.d

Revision 1.33  2004/04/26 15:56:59  adamg
- release 7 for Ac (6 is for Ra)

Revision 1.32  2003/09/09 10:24:21  ankry
- spaces -> tab

Revision 1.31  2003/07/29 15:45:00  qboosh
- more specific Requires, more changes where needed

Revision 1.30  2003/07/04 21:32:51  areq
- add gcc33.patch

Revision 1.29  2003/05/28 12:59:11  malekith
- massive attack: source-md5

Revision 1.28  2003/05/25 05:49:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.27  2002/11/27 21:10:39  juandon
- new %doc

Revision 1.26  2002/09/24 16:57:39  baggins
- release 6
- added logrotate config
- changed log name to be consistent with package name

Revision 1.25  2002/04/25 16:37:29  arturs
- fixed a small typo

Revision 1.24  2002/02/22 23:29:04  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.23  2002/01/30 18:38:14  alchemyx
- ugly words back again. sorry.

Revision 1.22  2002/01/29 02:49:51  alchemyx
- ugly words replaced with "?" ;-)

Revision 1.21  2002/01/18 02:13:21  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.20  2001/09/24 15:13:48  kloczek
- adapterized and added pt_BR translation stolen from CNV.

Revision 1.19  2001/09/24 14:01:53  qboosh
- Prereq: /sbin/chkconfig
- pl translations
- release 5

Revision 1.18  2001/07/26 05:42:09  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.16  2001/06/15 15:59:07  baggins
- release 4
- don't fuck with someone elses files

Revision 1.15  2001/05/02 16:29:06  qboosh
- adapterized and made spec %debug ready or added using %rpm*flags macros

Revision 1.14  2001/02/01 16:27:34  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.13  2000/06/09 07:23:03  kloczek
- added using %{__make} macro.

Revision 1.12  2000/05/21 01:39:51  kloczek
- spec adapterized.

Revision 1.11  2000/04/04 13:06:21  kloczek
- grr .. fix mangled BuildRoot.

Revision 1.10  2000/04/04 13:01:12  kloczek
- added "Requires: rc-scripts >= 0.2.0",
- standarized %postun,
- spec adapterized,
- fiew simplifications in %install and %files.

Revision 1.9  2000/04/03 14:58:43  baggins
- added init script
- added /etc/sysconfig settings

Revision 1.8  2000/04/01 11:14:46  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.7  2000/03/28 16:54:34  baggins
- translated kloczkish into english

Revision 1.6  1999/07/29 12:46:37  baggins
- added glibc 2.1 patch, cleanup
